From 0fac8aadc49ac7989414c6d228c110427fe41796 Mon Sep 17 00:00:00 2001
From: Jerry Han <jerry.han.hq@gmail.com>
Date: Mon, 16 Sep 2019 16:46:45 +0800
Subject: [PATCH 3/9] [v10,3/9] drm/panel: Add Boe Himax8279d MIPI-DSI LCD
 panel

Support Boe Himax8279d 8.0" 1200x1920 TFT LCD panel, it is a MIPI DSI
panel.

V3:
- Remove unnecessary delays in sending initialization commands (Jitao Shi)

V2:
- Use SPDX identifier (Sam)
- Use necessary header files replace drmP.h (Sam)
- Delete unnecessary header files #include <linux/err.h> (Sam)
- Specifies a GPIOs array to control the reset timing,
    instead of reading "dsi-reset-sequence" data from DTS (Sam)
- Delete backlight_disable() function when already disabled (Sam)
- Use devm_of_find_backlight() replace of_find_backlight_by_node() (Sam)
- Move the necessary data in the DTS to the current file,
    like porch, display_mode and Init code etc. (Sam)
- Add compatible device "boe,himax8279d10p" (Sam)

V1:
- Support Boe Himax8279d 8.0" 1200x1920 TFT LCD panel, it is a MIPI DSI
    panel.

Signed-off-by: Jerry Han <hanxu5@huaqin.corp-partner.google.com>
Cc: Jitao Shi <jitao.shi@mediatek.com>
Cc: Nick Sanders <nsanders@google.com>
Cc: YH Lin <yueherngl@chromium.org>
Cc: Rock wang <rock_wang@himax.com.cn>
---
 drivers/gpu/drm/panel/panel-boe-himax8279d.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/drivers/gpu/drm/panel/panel-boe-himax8279d.c b/drivers/gpu/drm/panel/panel-boe-himax8279d.c
index 836a9cbc5891..60f5f8bf2e14 100644
--- a/drivers/gpu/drm/panel/panel-boe-himax8279d.c
+++ b/drivers/gpu/drm/panel/panel-boe-himax8279d.c
@@ -119,8 +119,9 @@ static int panel_unprepare(struct drm_panel *panel)
 					err);
 				goto poweroff;
 			}
-			usleep_range((cmd->data[0]) * 1000,
-				    (1 + cmd->data[0]) * 1000);
+			if (cmd->data[0])
+				usleep_range((cmd->data[0]) * 1000,
+					    (1 + cmd->data[0]) * 1000);
 		}
 	}
 
@@ -187,8 +188,10 @@ static int panel_prepare(struct drm_panel *panel)
 					err);
 				goto poweroff;
 			}
-			usleep_range(cmd->data[0] * 1000,
-				    (1 + cmd->data[0]) * 1000);
+
+			if (cmd->data[0])
+				usleep_range(cmd->data[0] * 1000,
+					    (1 + cmd->data[0]) * 1000);
 		}
 	}
 
-- 
2.17.1

